Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 23 Aug 2011 11:00:48 +0200
From:      Andrea Venturoli <ml@netfence.it>
To:        Stanislav Sedov <stas@freebsd.org>
Cc:        freebsd-questions@freebsd.org
Subject:   Re: upgrade of portupgrade to 2.4.9,2
Message-ID:  <4E536C40.8080305@netfence.it>
In-Reply-To: <20110823005850.a60d433e.stas@FreeBSD.org>
References:  <CAEFCw4unqOje7Vm5Vq_JY-c4rUhKtwL3OeW6u36762RzGLUfag@mail.gmail.com>	<4E5105A4.1060706@netfence.it> <20110823005850.a60d433e.stas@FreeBSD.org>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On 08/23/11 09:58, Stanislav Sedov wrote:
> On Sun, 21 Aug 2011 15:18:28 +0200
> Andrea Venturoli<ml@netfence.it>  mentioned:
>
>> On 08/21/11 08:26, n dhert wrote:
>>> I did a portupgrade on a freebsd 8.2-RELEASE
>>> of the portupgrade program itself
>>> portupgrade-2.4.8_1,2<     needs updating (index has 2.4.9,2)
>>> (that upgraded also ruby to 1.9:
>>
>> I did the same on some boxes and I'm having a lot of troubles too...
>>
>> # pkgdb -L
>> Look for lost dependencies:
>> undefined method `map' for #<String:0x00000801e60218>
>>
>
> Hi!
>
> Can you, please, try the portupgrade version from the ports?
> It should fix those issues.

Not really.

I tried "portupgrade -R portupgrade", but still had a messed-up system.
Since I don't use Ruby for much and had only portupgrade and libchk 
using it, I wiped them all and reinstalled portupgrade from scratch. 
This also reinstalled ruby.
I'm still getting "undefined method `map'..." when I run pkgdb, however.

> # pkg_info -r portupgrade\*
> Information for portupgrade-2.4.9.2,2:
>
> Depends on:
> Dependency: libyaml-0.1.4_1
> Dependency: openssl-1.0.0_5
> Dependency: pkg-config-0.25_1
> Dependency: libffi-3.0.9
> Dependency: ruby-1.9.2.290,1




> Sorry for the inconvinences!

You're welcome, I appreciate your work and help.

  bye & Thanks
	av.



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?4E536C40.8080305>